Package de.willuhn.jameica.hbci.gui.action

# Class AbstractSepaSammelTransferExport<T extends SepaSammelTransfer>

java.lang.Object
de.willuhn.jameica.hbci.gui.action.AbstractSepaSammelTransferExport<T>

Type Parameters:
  `T` - der konkrete Typ des SEPA-Sammel-Auftrages.

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Action`

Direct Known Subclasses:
  `SepaSammelLastschriftExport`, `SepaSammelUeberweisungExport`

public abstract class AbstractSepaSammelTransferExport<T extends SepaSammelTransfer> extends Object implements de.willuhn.jameica.gui.Action
Abstrakte Basis-Action, ueber die SEPA-Sammel-Auftraege exportiert werden koennen.

## Constructor Summary

Constructors
Constructor
Description
`AbstractSepaSammelTransferExport()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAction(Object context)`
Erwartet ein Objekt vom Typ `SepaSammelTransfer`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSepaSammelTransferExport

public AbstractSepaSammelTransferExport()

## Method Details

### handleAction

public void handleAction(Object context) throws de.willuhn.util.ApplicationException
Erwartet ein Objekt vom Typ `SepaSammelTransfer`.

Specified by:
  `handleAction` in interface `de.willuhn.jameica.gui.Action`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Action.handleAction(java.lang.Object)`